Skip to main content
`Ctrl`+`K`

# validate_schema

astropy.io.votable.xmlutil.validate_schema(filename, version='1.1')

  Validates the given file against the appropriate VOTable schema.

  Parameters:
    filename `python:str`

      The path to the XML file to validate

    version `python:str`, optional

      The VOTABLE version to check, which must be a string “1.0”, “1.1”, “1.2” or “1.3”. If it is not one of these, version “1.1” is assumed.

      For version “1.0”, it is checked against a DTD, since that version did not have an XML Schema.

  Returns:
    returncode, stdout, stderr `python:int`, `python:str`, `python:str`

      Returns the returncode from xmllint and the stdout and stderr as strings